#!/usr/bin/env node

/**
 * This is an example to invoke rview server
 */
'use strict'

const rview = require('rview')
const co = require('co')

co(function * () {
  // Setup server for remote view
  yield rview({
    // Define Views
    'user': {
      profile: co.wrap(function * userProfile (ctx) {
        ctx.body = `
<!DOCTYPE html><html><!-- ... --></html>
`
      })
    }
  }).listen(3000)
}).catch((err) => console.error(err))
